Package org.apache.calcite.avatica.util

# Class PositionedCursor<T>

java.lang.Object
org.apache.calcite.avatica.util.AbstractCursor
org.apache.calcite.avatica.util.PositionedCursor<T>

Type Parameters:
  `T` - Element type

All Implemented Interfaces:
  `AutoCloseable`, `Cursor`

Direct Known Subclasses:
  `IteratorCursor`

public abstract class PositionedCursor<T> extends AbstractCursor
Abstract implementation of `Cursor` that caches its current row.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`PositionedCursor.ArrayGetter`
Implementation of `AbstractCursor.Getter` that reads from records that are arrays.
`protected class`
`PositionedCursor.FieldGetter`
Implementation of `AbstractCursor.Getter` that reads fields via reflection.
`protected class`
`PositionedCursor.ListGetter`
Implementation of `AbstractCursor.Getter` that reads items from a list.
`protected class`
`PositionedCursor.MapGetter<K>`
Implementation of `AbstractCursor.Getter` that reads entries from a `Map`.
`protected class`
`PositionedCursor.ObjectGetter`
Implementation of `AbstractCursor.Getter` for records that consist of a single field.

## Nested classes/interfaces inherited from class org.apache.calcite.avatica.util.AbstractCursor

`AbstractCursor.AbstractGetter, AbstractCursor.ArrayAccessor, AbstractCursor.Getter, AbstractCursor.SlotGetter, AbstractCursor.StructGetter`

## Nested classes/interfaces inherited from interface org.apache.calcite.avatica.util.Cursor

`Cursor.Accessor`

## Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor

`wasNull`

## Constructor Summary

Constructors
Constructor
Description
`PositionedCursor()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract T`
`current()`
Returns the current row.

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor

`createAccessor, createAccessor, createAccessors, createGetter, next, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.calcite.avatica.util.Cursor

`close`

## Constructor Details

### PositionedCursor

public PositionedCursor()

## Method Details

### current

protected abstract T current()
Returns the current row.

Returns:
  current row
Throws:
  `NoSuchElementException` - if the iteration has no more elements